// Simple embedded sketch that appears in its own window or panel.
// Jo Wood, V1.0, 24th November, 2008.
// ---------------------------------------------------------------

public class AnotherSketch extends EmbeddedSketch
{  
  float textScale;
  
  void setup()
  {
    size(300,300);
    PFont font = createFont("SansSerif",24);
    textFont(font, 24);
    smooth();
    textAlign(CENTER,CENTER);
    fill(20,120,20);
    textScale = 0;
  }

  void draw()
  {
    super.draw();    // This should always be the first line of draw() in embedded sketches.
    
    background(200,255,200);
      
    pushMatrix();
     translate(width/2,height/2);
     scale(0.1+sin(textScale),1);
     text("Another animated sketch but without timer",0,0);
    popMatrix();
    
    textScale += 0.02;
  }
}
